#!/bin/bash
# Petit script sans pretention de changement de artificiel de resolution
# by Hugues LE DREAU

# Recuperation de la resolution normale
norm=$(xrandr | grep "*+")
l=$(echo $norm | tr "x" " " | cut -f1 -d" ")
h=$(echo $norm | tr "x" " " | cut -f2 -d" ")

# Creation de l'interface
choix=$(zenity --list --radiolist \
--title "Résolution Graphique" \
--width=200 \
--height=250 \
--text "Choisissez votre résolution grahique" \
--column " " --column " " \
False "Défaut" \
False "800x480" \
False "800x600" \
False "1024x600" \
False "1024x768")

# Selon le choix, le coefficient pour la hauteur et largeur
# est calculé afin d'augmenter artificiellement la résolution
# Si aucune résolution selectionnée => Retour à la résolution normale

case "$choix" in
 Défaut)
  xrandr --output LVDS1 --scale 1.0x1.0;;
 800x480)
  nl=$(echo "scale=2;(800/$l)" | bc)
  nh=$(echo "scale=2;(480/$h)" | bc)
  res=$nl"x"$nh
  xrandr --output LVDS1 --scale $res;;
 800x600)
  nl=$(echo "scale=2;(800/$l)" | bc)
  nh=$(echo "scale=2;(600/$h)" | bc)
  res=$nl"x"$nh
  xrandr --output LVDS1 --scale $res;;
 1024x600)
  nl=$(echo "scale=2;(1024/$l)" | bc)
  nh=$(echo "scale=2;(600/$h)" | bc)
  res=$nl"x"$nh
  xrandr --output LVDS1 --scale $res;;
 1024x768)
  nl=$(echo "scale=2;(1024/$l)" | bc)
  nh=$(echo "scale=2;(768/$h)" | bc)
  res=$nl"x"$nh
  xrandr --output LVDS1 --scale $res;;
 *)
  xrandr --output LVDS1 --scale 1.0x1.0;;
esac
